$Client_Post_Command_Handler{'answerbutton'}{'customanswer'} = sub { 
    my @allreturn = ();
    my $origen   = shift;
    my $destino  = shift;
    my $contexto = shift;
    my $socket   = shift;
    my $mychannel = main::get_btn_config( "$contexto", $origen, 'MAINCHANNEL');
    my $extension_to_dial = $destino;

    if ( !main::hasPermChannel( $socket, "dial", $mychannel ) && !main::hasPerm( $socket, "all" ) ) {
        # No 'dial' permission, abort action
        print "No dial permissions, answer action denied\n";
        return @allreturn;
    }

    my $variables = defined($main::pluginconfig{'answerbutton'}{'notify_variables'}{''})?$main::pluginconfig{'answerbutton'}{'notify_variables'}{''}:'';

    my @allvariables = split (/~/,$variables);

    my $return;

    if($mychannel =~ /^PJSIP/i) {
        @partes = split(/\//,$mychannel);
        my $endpoint = $partes[1];
        $return  = "Action: PJSIPNotify\r\n";
        $return .= "Endpoint: $endpoint\r\n";
    } else {
        $return  = "Action: SIPNotify\r\n";
        $return .= "Channel: $destino\r\n";
    }

    foreach my $linea (@allvariables) { 
        $return .= "Variable: $linea\r\n";
    }
    $return .= "\r\n";
    push @allreturn, $return;


    return @allreturn;
};

